function mosamp
% mosamp
% Darstellung der Prinzipschaltung eines Verstrkers

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

fh = fullscreen('MOS-AMP','w',0,[0 0.65 0 1]);
axes('Position',[0 0 1 1])
axis([-2 +9 -1 +11])
axis off
drawcsq([5,3],2,0.7*[1 1 1],'A',30);
drawcsq([5,7],2,0.7*[1 1 1],'B',30);
drawccir([0,5],0.5,'w');
drawccir([2,1.5],0.5,'w');
line([0 0 8],[4.5 0 0],'Color','k','LineWidth',2)
line([0 0 5 5],[5.5 10 10 8],'Color','k','LineWidth',2)
line([5 5],[4 6],'Color','k','LineWidth',2)
line([5 8],[5 5],'Color','k','LineWidth',2)
line([5 5],[0 2],'Color','k','LineWidth',2)
line([2 2],[0 1],'Color','k','LineWidth',2)
line([2 2],[2 3],'Color','k','LineWidth',2)
line([2 5 5],[0 0 5],'Marker','.','MarkerSize',40,'Color','k','LineStyle','none')
drawarr([2 3],[4 3],'k',2,0.3);
drawarr([6.5 4],[6.5 2],'b',2,0.3);
drawarr([6.5 8],[6.5 6],'b',2,0.3);
drawarr([-0.7 5.5],[-0.7 4.5],'b',2,0.3);
drawarr([1.3 2],[1.3 1],'r',2,0.3);
drawarr([7.5 4.8],[7.5 0.2],'r',2,0.3);
text(-0.9,5,'U_0','Color','b','FontSize',15,'HorizontalAlignment','right')
text(6.6,3,'U_A','Color','b','FontSize',15)
text(6.6,7,'U_B','Color','b','FontSize',15)
text(1.1,1.5,'U_x','Color','r','FontSize',15,'HorizontalAlignment','right')
text(7.6,2.5,'U_y','Color','r','FontSize',15)

