%
%
%9.2.2  Im Zeitbereich periodische Signale %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-10,'Color',MSVTITLCOLOR>%
%
%
%
%  Die Fouriertransformierte eines periodischen Signals  {\fontname{Courier}x(t)}  mit der Periode  {\fontname{Courier}T}  
%  ist Frequenz-diskret mit von Null verschiedenen sog. Fourierkoeffizienten  {\fontname{Courier}X_k}  
%  an den quidistanten Frequenzen  {\fontname{Courier}k\omega} , wo  {\fontname{Courier}\omega = 2\pi/T}  und  {\fontname{Courier}k}  ganzzahlig.  
%  Die inverse Fouriertransformierte heisst in diesem Fall Fourier-Reihe, weil 
%  anstelle des Integrals die Summe tritt:
%         {\fontname{Symbol}}                           %<'FontName',MSVFORMFONT>
%  x(t) = _{\fontsize{26}\Sigma} X_k e^{-i2\pikt/T}      %<'FontName',MSVFORMFONT>
%        k={\fontname{Symbol}-}                         %<'FontName',MSVFORMFONT>
%
%  Umgekehrt entsprechen diskreten Spektren immer periodische Signale.  
%
%  Der Zusammenhang zwischen dem zeitkontinuierlichen Signal  {\fontname{Courier}x(t)} und den 
%  sogenannten Fourierkoeffizienten  {\fontname{Courier}X_k}  ist  ({\fontname{Symbol}-} {\fontname{Courier}< k < }{\fontname{Symbol}}):
%  {\fontname{Symbol}                         }
%  X_k = 1/T \cdot _{\fontsize{24}\int} x(t) e^{-i2\pikt/T} dt  %<'FontName',MSVFORMFONT>
%  \fontname{Symbol}                       {-}
%  Die Fouriertransformation periodischer Funktionen wird hufig reell geschrieben. 
%  Dazu setzt man
%
%  a_k = 2 real(X_k);   b_k = -2 imag(X_k);              %<'FontName',MSVFORMFONT>
%
%
%  Wegen der geraden bzw. ungeraden Symmetrie von Real- bzw. Imaginrteil der 
%  Fouriertransformierten  {\fontname{Courier}X_k}  ist 
%
%      a_{-k} = a_k  und   b_{-k} = -b_k                 %<'FontName',MSVFORMFONT>
%
%  In der Fourierreihe ergibt deshalb die Summe ber alle negativen {\fontname{Courier}k} dasselbe wie 
%  die ber alle positiven {\fontname{Courier}k}.  Man fasst diese zusammen und schreibt
%
%                 {\fontname{Symbol}}                   %<'FontName',MSVFORMFONT>
%  x(t) = a_0/2 + _{\fontsize{26}\Sigma} a_k cos(-i2\pikt/T) + b_k sin(-i2\pikt/T) %<'FontName',MSVFORMFONT>
%                k={\fontname{Symbol}-}                 %<'FontName',MSVFORMFONT>
%
%  Die Fourierkoeffizienten  {\fontname{Courier}a_k}  und  {\fontname{Courier}b_k}  berechnen sich dann direkt nach
%
%           T                                            %<'FontName',MSVFORMFONT>
%  a_0 = 1/T _{\fontsize{24}\int} x(t) dt                %<'FontName',MSVFORMFONT>
%          t=0                                           %<'FontName',MSVFORMFONT>
%
%           T                                            %<'FontName',MSVFORMFONT>
%  a_k = 1/T _{\fontsize{24}\int} x(t) cos(2\pikt/T) dt  %<'FontName',MSVFORMFONT>
%          t=0                                           %<'FontName',MSVFORMFONT>
%
%
%           T                                            %<'FontName',MSVFORMFONT>
%  b_k = 1/T _{\fontsize{24}\int} x(t) sin(2\pikt/T) dt  %<'FontName',MSVFORMFONT>
%          t=0                                           %<'FontName',MSVFORMFONT>
%
%
%%  bung 9.2.3:  Es sind die Fourierkoeffizienten  X_k  sowie die  a_k  und  b_k  
%%  als formale Ausdrcke zu berechnen fr das periodische Rechteck
%%
%%                         x(t) = 1   fr    0 <= t < T/2
%%                         x(t) = 0   fr    T/2 <= t < T
%%
%%  bung 9.2.4:  Berechnen Sie die Koeffizienten  a_k  und  b_k  numerisch bis zu 
%%  irgendeiner Grenze fr  k  auf den MATLAB-Variablen  a0,  a(1:k),  b(1:k).  
%%  Wenn das fertig ist, klicken Sie zur Prfung die folgende Grafik, 
%%  die zu gegebenen Fourierkoeffizienten die Synthese darstellt.
%
foursynt3d(a0,a,b)
%
