u0  = 5;
u00 = 0;  u01 = 1;  u10 = u0 - 1;  u11 = u0;
uth = 0.5;
r   = 5000*[1,10,100,1000];
s   = 1.0e-5;
u1  = (0:500)/500*u0;
%
for k = 1:length(r)
   u = (u1>uth).*(u0 - r(k)*s*(u1 - uth).^2) + (u1<=uth)*u0;
   u2(k,:) = (u>0).*u;
end
plot(u1,u2)
legend('5 k','50 k','500 k','5 G',0)
%
line([u00,u11],[u01,u01],'LineStyle',':','Color',0.3*[1 1 1])
line([u00,u11],[u10,u10],'LineStyle',':','Color',0.3*[1 1 1])
line([u01,u01],[u00,u11],'LineStyle',':','Color',0.3*[1 1 1])
line([u10,u10],[u00,u11],'LineStyle',':','Color',0.3*[1 1 1])
axis square
%
qm = (u0 - u0/2)/(s*(u0/2 - uth)^2)
q(1) = (u0 - u10)/(s*(u01 - uth)^2)
q(2) = (u0 - u01)/(s*(u10 - uth)^2)
%
for k = 1:2
   u = (u1>uth).*(u0 - q(k)*s*(u1 - uth).^2) + (u1<=uth)*u0;
   uq(k,:) = (u>0).*u;
end
patch([u1,reverse(u1)],[uq(1,:),reverse(uq(2,:))],0.8*[1 1 1])
%
